<script>
	import HeaderTitle from '$lib/Components/HeaderTitle.svelte';
	import InputWithLabel from '$lib/Components/InputWithLabel.svelte';
	import { inputWithLabelContainerMainClass, inputWithLabelSectionClass } from '$lib/stores';
	import { allowInputInt, allowInputIntString } from '$lib/utils';
	import { Select } from 'flowbite-svelte';

	let loginSelected = $state();
	let loginOption = $state([
		{ value: 'admin', name: 'Admin' },
		{ value: 'faculty', name: 'Faculty' },
		{ value: 'student', name: 'Student' },
		{ value: 'demo', name: 'Demo' }
	]);
</script>

<div class="w-full max-w-xl mx-auto flex flex-col justify-center gap-6">
	<div class="surface-ios-cont rounded-md p-2.5">
		<div class="surface-ios-comp rounded-md p-2">
			<HeaderTitle title={['Welcome', 'RDS 4']} />
		</div>
	</div>
	<div class="surface-ios-cont rounded-md p-2.5">
		<div class="surface-ios-comp rounded-md p-2 flex flex-col gap-2">
			<Select
				defaultClass="surface-ios-comp !mt-0 !rounded-md"
				placeholder="Login as"
				class="mt-2"
				items={loginOption}
				bind:value={loginSelected}
			/>
		</div>
	</div>
	<main
		class="{inputWithLabelContainerMainClass} ml-auto {loginSelected === 'admin' ? 'hidden' : ''}"
	>
		<InputWithLabel label="ID" size="sm" placeholder="id" type="text" oninput={allowInputInt} />
		<InputWithLabel
			label="Password"
			size="sm"
			placeholder="password"
			type="password"
			oninput={allowInputIntString}
		/>
	</main>
	<div class="surface-ios-cont p-2.5 rounded-md flex gap-2">
		<section class={inputWithLabelSectionClass}>
			<a
				href="{loginSelected}/"
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Log In
			</a>
		</section>
		<section class={inputWithLabelSectionClass}>
			<button
				onclick={() => alert('$Java Exit')}
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Exit
			</button>
		</section>
	</div>
</div>
